package com.dahantc.sms.demo;

import com.alibaba.fastjson.JSON;
import com.dahantc.sms.sdk.ReportResult;
import com.dahantc.sms.sdk.SmsSdk;

/**
 * 短信状态报告获取SDK（本代码是基于jdk 1.8版本编写）
 * @author wuhandahantc
 * @date 2019/1/2 9:57
 **/
public class SmsReportDemo {

	public static void main(String[] args) {
		// 初始化SDK
		SmsSdk smsSdk = new SmsSdk();
		//用户登录之后在开发者控制台【首页】寻找以下配置参数：
		//AccountSid: 帐号ID，对应开发者帐号下的 ACCOUNT SID
		//AuthToken: 授权令牌，对应开发者帐号下的 AUTH TOKEN
		//reportUrl: 状态报告获取基础路径
		smsSdk.setAccountSid("ef7de10b078c4******************");
		smsSdk.setAuthToken("92323d68a29645******************");
		smsSdk.setReportUrl("https://report.dahancloud.com/");
		ReportResult result = smsSdk.smsReport();
		if (result!= null){
			System.out.println("请求返回状态：" + result.getCode() + "," + result.getMsg());
			// 状态报告不一定有，所有短信状态报告，只会获取一次，没有获取的状态报告会在平台保留72小时
			System.out.println("短信状态报告：" + JSON.toJSONString(result.getDatas()));
		}else{
			System.out.println("请求失败");
		}
	}
}